Subject: Re: [PATCH net-next 4/4] net: macb: Remove dedicated IRQ handler for WoL

From: Jakub Kicinski <[email-masked]>
Date: Tue, 31 Mar 2026 19:55:17 -0700

On Sat, 28 Mar 2026 18:17:48 +0800 Kevin Hao wrote:
> In the current implementation, the suspend/resume path frees the
> existing IRQ handler and sets up a dedicated WoL IRQ handler, then
> restores the original handler upon resume. This approach is not used
> by any other Ethernet driver and unnecessarily complicates the
> suspend/resume process. After adjusting the IRQ handler in the previous
> patches, we can now handle WoL interrupts without introducing any
> overhead in the TX/RX hot path. Therefore, the dedicated WoL IRQ
> handler is removed.

Couple of sentences on testing (platform + flows) would be great here.